# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-devel
# END SourceDeps(oneline)
%define oldname python-webtest1.3
Name:           python-module-webtest1.3
Version:        1.3.4
Release:        alt1_4
Summary:        Helper to test WSGI applications

Group:          Development/Python
License:        MIT
URL:            http://pythonpaste.org/webtest/
Source0:        http://pypi.python.org/packages/source/W/WebTest/WebTest-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-module-setuptools
BuildRequires:  python-module-nose
BuildRequires:  python-module-webob1.2
BuildRequires:  python-module-dtopt
Requires:       python-module-webob1.2
Source44: import.info

%description
WebTest wraps any WSGI application and makes it easy to send test
requests to that application, without starting up an HTTP server.

This provides convenient full-stack testing of applications written
with any WSGI-compatible framework.

%prep
%setup -q -n WebTest-%{version}
rm -rf *.egg-info

# This removes some doctest parameters that cause our check section to fail
rm setup.cfg

%build
%{__python} setup.py build bdist_egg

%install
mkdir -p %{buildroot}%{python_sitelibdir_noarch}
easy_install -m --prefix %{buildroot}%{_usr} dist/*.egg

# Fix script-without-shebang
find %{buildroot}%{python_sitelibdir_noarch} -name "*.py" -exec chmod a-x {} \;

%files
%doc docs/*
%{python_sitelibdir_noarch}/WebTest-%{version}*.egg/


%changelog
* Sun Jan 06 2013 Igor Vlasenko <viy@altlinux.ru> 1.3.4-alt1_4
- initial fc import

